import { ComponentFactoryResolver, ComponentRef, ViewContainerRef } from '@angular/core';
import { UrlFixerService } from '../data/url-fixer.service';
import { AnnotationStoreService } from '../data/annotation-store.service';
import { IAnnotationSet } from '../data/annotation-set.model';
import { EmLoggerService } from '../logging/em-logger.service';
export declare class ViewerFactoryService {
    private componentFactoryResolver;
    private annotationStoreService;
    private urlFixer;
    private log;
    constructor(componentFactoryResolver: ComponentFactoryResolver, annotationStoreService: AnnotationStoreService, urlFixer: UrlFixerService, log: EmLoggerService);
    private static determineComponent(mimeType);
    private static isImage(mimeType);
    private static isPdf(mimeType);
    getDocumentId(documentMetaData: any): any;
    buildComponent(viewContainerRef: ViewContainerRef, contentType: string, url: string, baseUrl: string, originalUrl: string, annotate: boolean, annotationSet: any, rotate: boolean): any;
    buildAnnotateUi(url: any, viewContainerRef: ViewContainerRef, baseUrl: string, annotate: boolean, annotationSet: IAnnotationSet, rotate: boolean): ComponentRef<any>['instance'];
    createComponent(component: any, viewContainerRef: ViewContainerRef, originalUrl: string, url: string, rotate?: boolean): any;
}
